
module Statful
  class Parser
    # Parses the check_keepalive output and returns the number of seconds since the last client keepalive
    def self.parse(output)
      # Output example:
      # Keepalive sent from client -117 seconds ago

      if !output.nil?
        output.split(' ')[4].to_i.abs
      else
        puts 'Check output is nil'
        exit
      end
    end
  end
end
